

#include "BUILTIN.h"
extern OBJ _ASeqCompare_3(OBJ,OBJ,OBJ);extern OBJ __ASeqCompare_3;
extern OBJ _ACompose_4(OBJ,OBJ,OBJ);extern OBJ __ACompose_4;
extern OBJ _ANatMapReduce_3(OBJ,OBJ,OBJ);extern OBJ __ANatMapReduce_3;
extern OBJ __ASeq_6;
extern OBJ _ASeq_14(OBJ,OBJ);extern OBJ __ASeq_14;
extern OBJ _ASeq_15(OBJ,OBJ,OBJ);extern OBJ __ASeq_15;
extern OBJ _ASeq_16(OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeq_16;
extern OBJ _ASeq_17(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeq_17;
extern OBJ _ASeq_18(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeq_18;
extern OBJ _ASeq_20(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeq_20;
extern OBJ _ASeq_26(OBJ,OBJ);extern OBJ __ASeq_26;
extern OBJ _ASeq_40(OBJ,OBJ);extern OBJ __ASeq_40;
extern OBJ _AFormatFun1_2(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AFormatFun1_2;
extern OBJ _AIde_13(OBJ,OBJ);extern OBJ __AIde_13;
extern OBJ __AIde_17;
extern OBJ _AIde_18(OBJ);extern OBJ __AIde_18;
extern OBJ _AIde_19(OBJ);extern OBJ __AIde_19;
extern OBJ _AFormat_5(OBJ,OBJ);extern OBJ __AFormat_5;
extern OBJ __AFormat_9;

#include "Real.h"
extern OBJ __AAn_2;

#include "Array.h"
extern OBJ _AAc_20(OBJ);extern OBJ __AAc_20;
extern OBJ _AAc_21(OBJ);extern OBJ __AAc_21;
extern OBJ _AAc_22(OBJ);extern OBJ __AAc_22;
extern OBJ _AAc_25(OBJ);extern OBJ __AAc_25;
extern OBJ _AAc_41(OBJ);extern OBJ __AAc_41;
extern OBJ _AAc_50(OBJ);extern OBJ __AAc_50;
extern OBJ _APreparedOptions_7(OBJ);extern OBJ __APreparedOptions_7;

#include "Nat.h"

#include "Bitset.h"

#include "Char.h"

#include "Int.h"
extern OBJ _ANatMap_4(OBJ,OBJ,OBJ);extern OBJ __ANatMap_4;
extern OBJ _ANatMap_14(OBJ,OBJ);extern OBJ __ANatMap_14;
extern OBJ _ANatMap_17(OBJ,OBJ);extern OBJ __ANatMap_17;
extern OBJ _ANatMap_19(OBJ);extern OBJ __ANatMap_19;
extern OBJ _ANatMap_20(OBJ);extern OBJ __ANatMap_20;
extern OBJ __ASourceAn_28;
extern OBJ _AFmt_28(OBJ);extern OBJ __AFmt_28;

#include "NatConv.h"

#include "Denotation.h"
extern OBJ _AAcFun_1(OBJ,OBJ);OBJ __AAcFun_1; /* = */
extern OBJ _AAcFun_2(OBJ);OBJ __AAcFun_2; /* atomic? */
extern OBJ _AAcFun_3(OBJ);OBJ __AAcFun_3; /* flat? */
extern OBJ _AAcFun_4(OBJ);OBJ __AAcFun_4; /* sequential? */
extern OBJ _AAcFun_5(OBJ);OBJ __AAcFun_5; /* local? */
extern OBJ _AAcFun_6(OBJ);OBJ __AAcFun_6; /* global? */
extern OBJ _AAcFun_7(OBJ);OBJ __AAcFun_7; /* ide */
extern OBJ _AAcFun_8(OBJ,OBJ);OBJ __AAcFun_8; /* set */
extern OBJ _AAcFun_9(OBJ,OBJ);OBJ __AAcFun_9; /* neverReached? */
extern OBJ _AAcFun_10(OBJ,OBJ);OBJ __AAcFun_10; /* dec */
extern OBJ _AAcFun_11(OBJ,OBJ,OBJ);OBJ __AAcFun_11; /* setDec */
extern OBJ _AAcFun_12(OBJ,OBJ,OBJ);OBJ __AAcFun_12; /* updateDec */
extern OBJ _AAcFun_13(OBJ);OBJ __AAcFun_13; /* newIde */
extern OBJ _AAcFun_14(OBJ,OBJ);OBJ __AAcFun_14; /* decs */
extern OBJ _AAcFun_15(OBJ,OBJ);OBJ __AAcFun_15; /* importedDecs */
extern OBJ _AAcFun_16(OBJ,OBJ);OBJ __AAcFun_16; /* symbol */
extern OBJ _AAcFun_17(OBJ,OBJ);OBJ __AAcFun_17; /* an */
extern OBJ _AAcFun_18(OBJ,OBJ,OBJ);OBJ __AAcFun_18; /* updateAn */
extern OBJ _AAcFun_19(OBJ,OBJ,OBJ);OBJ __AAcFun_19; /* format */
extern OBJ _AAcFun_20(OBJ,OBJ,OBJ);OBJ __AAcFun_20; /* format,1 */
extern OBJ _AAcFun_21(OBJ,OBJ,OBJ);OBJ __AAcFun_21; /* format,2 */
extern OBJ _AAcFun_22(OBJ,OBJ,OBJ);OBJ __AAcFun_22; /* format,3 */
extern OBJ _AAcFun_23(OBJ,OBJ);OBJ __AAcFun_23; /* format,4 */
extern OBJ _AAcFun_24(OBJ,OBJ);OBJ __AAcFun_24; /* eqDec */
extern OBJ _AAcFun_25(OBJ,OBJ);OBJ __AAcFun_25; /* eqMatch */
extern OBJ _AAcFun_26(OBJ);OBJ __AAcFun_26; /* format,5 */
extern OBJ _AAcFun_27(OBJ);OBJ __AAcFun_27; /* flat?'27 */
extern OBJ _AAcFun_28(OBJ);OBJ __AAcFun_28; /* sequential?'28 */
extern OBJ _AAcFun_29(OBJ);OBJ __AAcFun_29; /* sequential?'29 */
extern OBJ _AAcFun_30(OBJ);OBJ __AAcFun_30; /* sequential?'30 */
extern OBJ _AAcFun_31(OBJ);OBJ __AAcFun_31; /* sequential?'31 */
extern OBJ _AAcFun_32(OBJ,OBJ,OBJ);OBJ __AAcFun_32; /* decs'32 */
extern OBJ _AAcFun_33(OBJ,OBJ,OBJ);OBJ __AAcFun_33; /* importedDecs'33 */
extern OBJ _AAcFun_34(OBJ,OBJ,OBJ);OBJ __AAcFun_34; /* importedDecs'34 */
OBJ __AAcFun_35; /* format,5'35 */
extern OBJ _AAcFun_36(OBJ);OBJ __AAcFun_36; /* format,5'36 */
OBJ __AAcFun_37; /* format,5'37 */
extern OBJ _AAcFun_38(OBJ);OBJ __AAcFun_38; /* format,5'38 */
OBJ __AAcFun_39; /* format,5'39 */
extern OBJ _AAcFun_40(OBJ);OBJ __AAcFun_40; /* format,5'40 */
OBJ __AAcFun_41; /* format'41 */
extern OBJ _AAcFun_42(OBJ);OBJ __AAcFun_42; /* format'42 */
OBJ __AAcFun_43; /* format'43 */
extern OBJ _AAcFun_44(OBJ);OBJ __AAcFun_44; /* format'44 */
OBJ __AAcFun_45; /* format'45 */
extern OBJ _AAcFun_46(OBJ);OBJ __AAcFun_46; /* format'46 */
OBJ __AAcFun_47; /* format'47 */
extern OBJ _AAcFun_48(OBJ);OBJ __AAcFun_48; /* format'48 */
OBJ __AAcFun_49; /* format'49 */
extern OBJ _AAcFun_50(OBJ);OBJ __AAcFun_50; /* format'50 */
OBJ __AAcFun_51; /* format'51 */
extern OBJ _AAcFun_52(OBJ);OBJ __AAcFun_52; /* format'52 */
OBJ __AAcFun_53; /* format'53 */
extern OBJ _AAcFun_54(OBJ);OBJ __AAcFun_54; /* format'54 */
OBJ __AAcFun_55; /* format'55 */
OBJ __AAcFun_56; /* format'56 */
extern OBJ _AAcFun_57(OBJ);OBJ __AAcFun_57; /* format'57 */
OBJ __AAcFun_58; /* format'58 */
extern OBJ _AAcFun_59(OBJ);OBJ __AAcFun_59; /* format'59 */
OBJ __AAcFun_60; /* format'60 */
extern OBJ _AAcFun_61(OBJ);OBJ __AAcFun_61; /* format'61 */
OBJ __AAcFun_62; /* format'62 */
extern OBJ _AAcFun_63(OBJ);OBJ __AAcFun_63; /* format'63 */
OBJ __AAcFun_64; /* format'64 */
extern OBJ _AAcFun_65(OBJ);OBJ __AAcFun_65; /* format'65 */
OBJ __AAcFun_66; /* format'66 */
extern OBJ _AAcFun_67(OBJ);OBJ __AAcFun_67; /* format'67 */
OBJ __AAcFun_68; /* format'68 */
extern OBJ _AAcFun_69(OBJ);OBJ __AAcFun_69; /* format'69 */
OBJ __AAcFun_70; /* format,2'70 */
OBJ __AAcFun_71; /* format,2'71 */
OBJ __AAcFun_72; /* format,2'72 */
extern OBJ _AAcFun_73(OBJ);OBJ __AAcFun_73; /* format,2'73 */
OBJ __AAcFun_74; /* format,2'74 */
extern OBJ _AAcFun_75(OBJ);OBJ __AAcFun_75; /* format,2'75 */
OBJ __AAcFun_76; /* format,2'76 */
extern OBJ _AAcFun_77(OBJ);OBJ __AAcFun_77; /* format,2'77 */
extern OBJ _AAcFun_78(OBJ);OBJ __AAcFun_78; /* format,1'78 */
extern OBJ _AAcFun_79(OBJ);OBJ __AAcFun_79; /* format,1'79 */
extern OBJ _AAcFun_80(OBJ);OBJ __AAcFun_80; /* format,1'80 */
OBJ __AAcFun_81; /* format,1'81 */
extern OBJ _AAcFun_82(OBJ);OBJ __AAcFun_82; /* format,1'82 */
OBJ __AAcFun_83; /* format,3'83 */
extern OBJ _AAcFun_84(OBJ);OBJ __AAcFun_84; /* format,3'84 */
OBJ __AAcFun_85; /* format,3'85 */
extern OBJ _AAcFun_86(OBJ);OBJ __AAcFun_86; /* format,3'86 */
OBJ __AAcFun_87; /* format,3'87 */
extern OBJ _AAcFun_88(OBJ);OBJ __AAcFun_88; /* format,3'88 */
OBJ __AAcFun_89; /* format,3'89 */
extern OBJ _AAcFun_90(OBJ);OBJ __AAcFun_90; /* format,3'90 */
OBJ __AAcFun_91; /* format,3'91 */
extern OBJ _AAcFun_92(OBJ);OBJ __AAcFun_92; /* format,3'92 */
OBJ __AAcFun_93; /* format,3'93 */
extern OBJ _AAcFun_94(OBJ);OBJ __AAcFun_94; /* format,3'94 */

extern OBJ _AAcFun_1(register OBJ x1,register OBJ x2) /* = */
{OBJ r;
 for(;;){
  switch(TGPRD(x1)){
   case 1:
    {OBJ x450=FLD(x1,2);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      CPPRD(x450,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,1)){
      {OBJ x452=FLD(x2,2);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	CPPRD(x452,1);
	FRPRD(x2,1);}
       ADenotation_21(x450,x452,r);}
     }else{
      FRPRD(x2,1);
      FRPRD(x450,1);
      r=__ABUILTIN_3;}}break;
   case 0:
    if(EXPRD(x1,1)){
     FREE(FLD(x1,1),1);DSPRDF(x1);
    }else{
     DCPRD(x1,1);}
    if(ISTGPRD(x2,0)){
     if(EXPRD(x2,1)){
      FREE(FLD(x2,1),1);DSPRDF(x2);
     }else{
      DCPRD(x2,1);}
     r=__ABUILTIN_5;
    }else{
     FRPRD(x2,1);
     r=__ABUILTIN_3;}break;
   case 3:
    {OBJ x456=FLD(x1,2);OBJ x457=FLD(x1,3);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      CPPRD(x456,1);COPY(x457,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,3)){
      {OBJ x459=FLD(x2,2);OBJ x460=FLD(x2,3);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	CPPRD(x459,1);COPY(x460,1);
	FRPRD(x2,1);}
       {OBJ x461;
	x461=_AAcFun_1(x456,x459);
	if(ISTGPRM(x461,1)){
	 CPCLS(__AAcFun_1,1);
	 r=_ASeqCompare_3(__AAcFun_1,x457,x460);
	}else{
	 FREE(x457,1);
	 FREE(x460,1);
	 r=__ABUILTIN_3;}}}
     }else{
      FRPRD(x2,1);
      FRPRD(x456,1);
      FREE(x457,1);
      r=__ABUILTIN_3;}}break;
   case 4:
    {OBJ x463=FLD(x1,2);OBJ x464=FLD(x1,3);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      COPY(x463,1);CPPRD(x464,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,4)){
      {OBJ x466=FLD(x2,2);OBJ x467=FLD(x2,3);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	COPY(x466,1);CPPRD(x467,1);
	FRPRD(x2,1);}
       CPCLS(__AAcFun_24,1);
       {OBJ x468;
	x468=_ASeqCompare_3(__AAcFun_24,x463,x466);
	if(ISTGPRM(x468,1)){
	 x1=x464;x2=x467;continue;
	}else{
	 FRPRD(x464,1);
	 FRPRD(x467,1);
	 r=__ABUILTIN_3;}}}
     }else{
      FRPRD(x2,1);
      FREE(x463,1);
      FRPRD(x464,1);
      r=__ABUILTIN_3;}}break;
   case 5:
    {OBJ x470=FLD(x1,2);OBJ x471=FLD(x1,3);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      COPY(x470,1);CPPRD(x471,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,5)){
      {OBJ x473=FLD(x2,2);OBJ x474=FLD(x2,3);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	COPY(x473,1);CPPRD(x474,1);
	FRPRD(x2,1);}
       CPCLS(__AAcFun_24,1);
       {OBJ x475;
	x475=_ASeqCompare_3(__AAcFun_24,x470,x473);
	if(ISTGPRM(x475,1)){
	 x1=x471;x2=x474;continue;
	}else{
	 FRPRD(x471,1);
	 FRPRD(x474,1);
	 r=__ABUILTIN_3;}}}
     }else{
      FRPRD(x2,1);
      FREE(x470,1);
      FRPRD(x471,1);
      r=__ABUILTIN_3;}}break;
   case 6:
    {OBJ x477=FLD(x1,2);OBJ x478=FLD(x1,3);OBJ x479=FLD(x1,4);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      CPPRD(x477,1);COPY(x478,1);CPPRD(x479,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,6)){
      {OBJ x481=FLD(x2,2);OBJ x482=FLD(x2,3);OBJ x483=FLD(x2,4);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	CPPRD(x481,1);COPY(x482,1);CPPRD(x483,1);
	FRPRD(x2,1);}
       {OBJ x484;
	x484=_AAcFun_1(x477,x481);
	if(ISTGPRM(x484,1)){
	 CPCLS(__AAcFun_25,1);
	 {OBJ x485;
	  x485=_ASeqCompare_3(__AAcFun_25,x478,x482);
	  if(ISTGPRM(x485,1)){
	   x1=x479;x2=x483;continue;
	  }else{
	   FRPRD(x479,1);
	   FRPRD(x483,1);
	   r=__ABUILTIN_3;}}
	}else{
	 FREE(x478,1);
	 FRPRD(x479,1);
	 FREE(x482,1);
	 FRPRD(x483,1);
	 r=__ABUILTIN_3;}}}
     }else{
      FRPRD(x2,1);
      FRPRD(x477,1);
      FREE(x478,1);
      FRPRD(x479,1);
      r=__ABUILTIN_3;}}break;
   default: 
    {OBJ x446=FLD(x1,2);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,1),1);DSPRDF(x1);
     }else{
      CPPRD(x446,1);
      FRPRD(x1,1);}
     if(ISTGPRD(x2,2)){
      {OBJ x448=FLD(x2,2);
       if(EXPRD(x2,1)){
	FREE(FLD(x2,1),1);DSPRDF(x2);
       }else{
	CPPRD(x448,1);
	FRPRD(x2,1);}
       r=_AIde_13(x446,x448);}
     }else{
      FRPRD(x2,1);
      FRPRD(x446,1);
      r=__ABUILTIN_3;}}}
  break;}
 return r;}

extern OBJ _AAcFun_2(OBJ x1) /* atomic? */
{OBJ r;
 if(ISTGPRD(x1,1)||ISTGPRD(x1,2)||ISTGPRD(x1,0)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAcFun_3(OBJ x1) /* flat? */
{OBJ r;
 if(ISTGPRD(x1,1)||ISTGPRD(x1,2)||ISTGPRD(x1,0)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  if(ISTGPRD(x1,3)){
   {OBJ x73=FLD(x1,2);OBJ x74=FLD(x1,3);
    if(EXPRD(x1,1)){
     FREE(FLD(x1,1),1);DSPRDF(x1);
    }else{
     CPPRD(x73,1);COPY(x74,1);
     FRPRD(x1,1);}
    if(ISTGPRD(x73,1)||ISTGPRD(x73,2)||ISTGPRD(x73,0)){
     if(EXPRD(x73,1)){
      DSPRD(x73);
     }else{
      DCPRD(x73,1);}
     CPCLS(__AAcFun_27,1);
     {OBJ x76;OBJ x77;
      x76=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_27,1))(__AAcFun_27,__ABUILTIN_20);
      x77=_ASeq_40(x76,x74);
      if(ISTGPRM(x77,1)){
       r=__ABUILTIN_3;
      }else{
       r=__ABUILTIN_5;}}
    }else{
     FRPRD(x73,1);
     FREE(x74,1);
     r=__ABUILTIN_3;}}
  }else{
   FRPRD(x1,1);
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AAcFun_4(register OBJ x1) /* sequential? */
{OBJ r;
 for(;;){
  CPPRD(x1,1);
  {OBJ x2;
   x2=_AAcFun_3(x1);
   if(ISTGPRM(x2,1)){
    FRPRD(x1,1);
    r=__ABUILTIN_5;
   }else{
    if(ISTGPRD(x1,6)){
     {OBJ x113=FLD(x1,2);OBJ x114=FLD(x1,3);OBJ x115=FLD(x1,4);
      if(EXPRD(x1,1)){
       FREE(FLD(x1,1),1);DSPRDF(x1);
      }else{
       CPPRD(x113,1);COPY(x114,1);CPPRD(x115,1);
       FRPRD(x1,1);}
      if(ISTGPRD(x113,1)||ISTGPRD(x113,2)||ISTGPRD(x113,0)){
       if(EXPRD(x113,1)){
	DSPRD(x113);
       }else{
	DCPRD(x113,1);}
       CPCLS(__AAcFun_29,1);
       {OBJ x118;OBJ x119;
	x118=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_29,1))(__AAcFun_29,__ABUILTIN_20);
	x119=_ASeq_40(x118,x114);
	if(ISTGPRM(x119,1)){
	 FRPRD(x115,1);
	 r=__ABUILTIN_3;
	}else{
	 x1=x115;continue;}}
      }else{
       FRPRD(x113,1);
       FREE(x114,1);
       FRPRD(x115,1);
       r=__ABUILTIN_3;}}
    }else{
     if(ISTGPRD(x1,5)){
      {OBJ x131=FLD(x1,2);OBJ x132=FLD(x1,3);
       if(EXPRD(x1,1)){
	FREE(FLD(x1,1),1);DSPRDF(x1);
       }else{
	COPY(x131,1);CPPRD(x132,1);
	FRPRD(x1,1);}
       CPCLS(__AAcFun_31,1);
       {OBJ x134;OBJ x135;
	x134=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_31,1))(__AAcFun_31,__ABUILTIN_20);
	x135=_ASeq_40(x134,x131);
	if(ISTGPRM(x135,1)){
	 FRPRD(x132,1);
	 r=__ABUILTIN_3;
	}else{
	 x1=x132;continue;}}}
     }else{
      if(ISTGPRD(x1,4)){
       {OBJ x138=FLD(x1,3);
	if(EXPRD(x1,1)){
	 FLD(x1,3)=NIL;DSPRD(x1);
	}else{
	 CPPRD(x138,1);
	 FRPRD(x1,1);}
	x1=x138;continue;}
      }else{
       FRPRD(x1,1);
       r=__ABUILTIN_3;}}}}}
  break;}
 return r;}

extern OBJ _AAcFun_5(OBJ x1) /* local? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x17=FLD(x1,2);
   if(EXPRD(x1,1)){
    FREE(FLD(x1,1),1);DSPRDF(x1);
   }else{
    CPPRD(x17,1);
    FRPRD(x1,1);}
   if(ISTGPRD(x17,1)){
    if(EXPRD(x17,1)){
     DSPRDF(x17);
    }else{
     DCPRD(x17,1);}
    r=__ABUILTIN_5;
   }else{
    if(EXPRD(x17,1)){
     DSPRDF(x17);
    }else{
     DCPRD(x17,1);}
    r=__ABUILTIN_3;}}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAcFun_6(OBJ x1) /* global? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x17=FLD(x1,2);
   if(EXPRD(x1,1)){
    FREE(FLD(x1,1),1);DSPRDF(x1);
   }else{
    CPPRD(x17,1);
    FRPRD(x1,1);}
   if(ISTGPRD(x17,0)){
    if(EXPRD(x17,1)){
     DSPRDF(x17);
    }else{
     DCPRD(x17,1);}
    r=__ABUILTIN_5;
   }else{
    if(EXPRD(x17,1)){
     DSPRDF(x17);
    }else{
     DCPRD(x17,1);}
    r=__ABUILTIN_3;}}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAcFun_7(OBJ x1) /* ide */
{OBJ r;
 PRD(2,2,r);FLD(r,1)=__AAn_2;FLD(r,2)=x1;
 return r;}

extern OBJ _AAcFun_8(OBJ x1,OBJ x2) /* set */
{OBJ r;
 switch(TGPRD(x1)){
  case 1:
   {OBJ x162;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x162=FLD(x1,2);CPPRD(x162,1);
     FRPRD(x1,1);PRD(2,1,r);FLD(r,1)=x2;FLD(r,2)=x162;}}break;
  case 2:
   {OBJ x164;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x164=FLD(x1,2);CPPRD(x164,1);
     FRPRD(x1,1);PRD(2,2,r);FLD(r,1)=x2;FLD(r,2)=x164;}}break;
  case 3:
   {OBJ x166;OBJ x167;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x166=FLD(x1,2);x167=FLD(x1,3);CPPRD(x166,1);COPY(x167,1);
     FRPRD(x1,1);PRD(3,3,r);FLD(r,1)=x2;FLD(r,2)=x166;FLD(r,3)=x167;}}break;
  case 4:
   {OBJ x169;OBJ x170;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x169=FLD(x1,2);x170=FLD(x1,3);COPY(x169,1);CPPRD(x170,1);
     FRPRD(x1,1);PRD(3,4,r);FLD(r,1)=x2;FLD(r,2)=x169;FLD(r,3)=x170;}}break;
  case 5:
   {OBJ x172;OBJ x173;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x172=FLD(x1,2);x173=FLD(x1,3);COPY(x172,1);CPPRD(x173,1);
     FRPRD(x1,1);PRD(3,5,r);FLD(r,1)=x2;FLD(r,2)=x172;FLD(r,3)=x173;}}break;
  case 6:
   {OBJ x175;OBJ x176;OBJ x177;
    if(EXPRD(x1,1)){
     RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
    }else{
     x175=FLD(x1,2);x176=FLD(x1,3);x177=FLD(x1,4);CPPRD(x175,1);COPY(x176,1);CPPRD(x177,1);
     FRPRD(x1,1);PRD(4,6,r);FLD(r,1)=x2;FLD(r,2)=x175;FLD(r,3)=x176;FLD(r,4)=x177;}}break;
  default: 
   if(EXPRD(x1,1)){
    RPRD(x1,r);FREE(FLD(r,1),1);FLD(r,1)=x2;
   }else{
    DCPRD(x1,1);PRD(1,0,r);FLD(r,1)=x2;}}
 return r;}

extern OBJ _AAcFun_9(OBJ x1,OBJ x2) /* neverReached? */
{OBJ r;
 if(ISTGPRD(x2,0)){
  {OBJ x28;OBJ x34;
   x28=_AAc_50(x2);
   if(ISPRM(x28)){
    x34=__ASourceAn_28;
   }else{
    {OBJ x30=FLD1(x28,2);
     if(EXPRD(x28,1)){
      x34=x30;
      FLD1(x28,2)=NIL;DSPRD(x28);
     }else{
      COPY(x30,1);
      x34=x30;
      FRPRD(x28,1);}}}
   if(ISPRD(x34)&&(ISTGPRD(x34,2))){
    {OBJ x37=FLD(x34,3);
     if(EXPRD(x34,1)){
      FRPRD(FLD(x34,2),1);DSPRDF(x34);
     }else{
      FRPRD(x34,1);}
     switch(TGPRM(x37)){
      case 0:
       FRPRD(x1,1);
       r=__ABUILTIN_5;break;
      case 2:
       FRPRD(x1,1);
       r=__ABUILTIN_3;break;
      default: 
       r=_APreparedOptions_7(x1);}}
   }else{
    FRPRD(x1,1);
    FREE(x34,1);
    r=__ABUILTIN_3;}}
 }else{
  FRPRD(x1,1);
  FRPRD(x2,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAcFun_10(OBJ x1,OBJ x2) /* dec */
{OBJ r;
 {OBJ x11;OBJ x7;OBJ x12;
  if(ISTGPRD(x2,0)){
   {OBJ x63=FLD(x2,1);OBJ x64=FLD(x2,2);
    if(EXPRD(x2,1)){
     x11=x63;x7=x64;
     DSPRDF(x2);
    }else{
     x11=x63;x7=x64;
     FRPRD(x2,1);}}
  }else{
   HLT("Ide at <unknown> : undefined selection origin\'Ide:ide->origin");}
  ANat_76(x7,__AIde_17,x12);
  if(ISTGPRM(x12,1)){
   {OBJ x29=FLD1(x1,5);
    if(EXPRD(x1,1)){
     FLD1(x1,5)=NIL;DSPRD(x1);
    }else{
     CPPRD(x29,1);
     FRPRD(x1,1);}
    r=_ANatMap_14(x29,x11);}
  }else{
   {OBJ x52=FLD1(x1,4);
    if(EXPRD(x1,1)){
     FLD1(x1,4)=NIL;DSPRD(x1);
    }else{
     CPPRD(x52,1);
     FRPRD(x1,1);}
    {OBJ x54;
     x54=_ANatMap_14(x52,x7);
     {OBJ x59=FLD1(x54,5);
      if(EXPRD(x54,1)){
       FLD1(x54,5)=NIL;DSPRD(x54);
      }else{
       CPPRD(x59,1);
       FRPRD(x54,1);}
      r=_ANatMap_14(x59,x11);}}}}}
 return r;}

extern OBJ _AAcFun_11(OBJ x1,OBJ x2,OBJ x3) /* setDec */
{OBJ r;
 {OBJ x87=FLD1(x1,1);OBJ x88=FLD1(x1,2);OBJ x89=FLD1(x1,3);OBJ x90=FLD1(x1,4);OBJ x91=FLD1(x1,5);FLAG x_x1=EXPRD(x1,1);
  if(x_x1){
  }else{
   COPY(x87,1);CPPRD(x88,1);CPPRD(x90,1);CPPRD(x91,1);}
  {OBJ x100;OBJ x96;OBJ x101;
   if(ISTGPRD(x2,0)){
    {OBJ x115=FLD(x2,1);OBJ x116=FLD(x2,2);
     if(EXPRD(x2,1)){
      x100=x115;x96=x116;
      DSPRDF(x2);
     }else{
      x100=x115;x96=x116;
      FRPRD(x2,1);}}
   }else{
    HLT("Ide at <unknown> : undefined selection origin\'Ide:ide->origin");}
   ANat_76(x96,__AIde_17,x101);
   if(ISTGPRM(x101,1)){
    {
     if(x_x1){
      RSOME(x1,r);
     }else{
      FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x87;FLD1(r,2)=x88;FLD1(r,3)=x89;FLD1(r,4)=x90;}
     FLD1(r,5)=_ANatMap_4(x100,x3,x91);}
   }else{
    CPPRD(x90,1);
    {OBJ x103;
     x103=_ANatMap_14(x90,x96);
     {OBJ x104;OBJ x105;OBJ x106;OBJ x107;OBJ x108=FLD1(x103,5);FLAG x_x103=EXPRD(x103,1);
      if(x_x103){
      }else{
       x104=FLD1(x103,1);x105=FLD1(x103,2);x106=FLD1(x103,3);x107=FLD1(x103,4);COPY(x104,1);CPPRD(x105,1);CPPRD(x107,1);CPPRD(x108,1);}
      {OBJ x109;OBJ x110;
       x109=_ANatMap_4(x100,x3,x108);
       if(x_x103){
	RSOME(x103,x110);FLD1(x110,5)=x109;
       }else{
	FRPRD(x103,1);PRD1(5,x110);FLD1(x110,1)=x104;FLD1(x110,2)=x105;FLD1(x110,3)=x106;FLD1(x110,4)=x107;FLD1(x110,5)=x109;}
       if(x_x1){
	RSOME(x1,r);
       }else{
	FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x87;FLD1(r,2)=x88;FLD1(r,3)=x89;FLD1(r,5)=x91;}
       FLD1(r,4)=_ANatMap_4(x96,x110,x90);}}}}}}
 return r;}

extern OBJ _AAcFun_12(OBJ x1,OBJ x2,OBJ x3) /* updateDec */
{OBJ r;
 {OBJ x93=FLD1(x1,1);OBJ x94=FLD1(x1,2);OBJ x95=FLD1(x1,3);OBJ x96=FLD1(x1,4);OBJ x97=FLD1(x1,5);FLAG x_x1=EXPRD(x1,1);
  if(x_x1){
  }else{
   COPY(x93,1);CPPRD(x94,1);CPPRD(x96,1);CPPRD(x97,1);}
  {OBJ x106;OBJ x102;OBJ x107;
   if(ISTGPRD(x2,0)){
    {OBJ x125=FLD(x2,1);OBJ x126=FLD(x2,2);
     if(EXPRD(x2,1)){
      x106=x125;x102=x126;
      DSPRDF(x2);
     }else{
      x106=x125;x102=x126;
      FRPRD(x2,1);}}
   }else{
    HLT("Ide at <unknown> : undefined selection origin\'Ide:ide->origin");}
   ANat_76(x102,__AIde_17,x107);
   if(ISTGPRM(x107,1)){
    CPPRD(x97,1);
    {OBJ x108;OBJ x109;
     x108=_ANatMap_14(x97,x106);
     x109=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x108);
     if(x_x1){
      RSOME(x1,r);
     }else{
      FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x93;FLD1(r,2)=x94;FLD1(r,3)=x95;FLD1(r,4)=x96;}
     FLD1(r,5)=_ANatMap_4(x106,x109,x97);}
   }else{
    CPPRD(x96,1);
    {OBJ x111;
     x111=_ANatMap_14(x96,x102);
     {OBJ x112;OBJ x113;OBJ x114;OBJ x115;OBJ x116=FLD1(x111,5);FLAG x_x111=EXPRD(x111,1);
      if(x_x111){
       CPPRD(x116,1);
      }else{
       x112=FLD1(x111,1);x113=FLD1(x111,2);x114=FLD1(x111,3);x115=FLD1(x111,4);COPY(x112,1);CPPRD(x113,1);CPPRD(x115,1);CPPRD(x116,2);}
      {OBJ x117;OBJ x118;OBJ x119;OBJ x120;
       x117=_ANatMap_14(x116,x106);
       x118=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x117);
       x119=_ANatMap_4(x106,x118,x116);
       if(x_x111){
	RSOME(x111,x120);FLD1(x120,5)=x119;
       }else{
	FRPRD(x111,1);PRD1(5,x120);FLD1(x120,1)=x112;FLD1(x120,2)=x113;FLD1(x120,3)=x114;FLD1(x120,4)=x115;FLD1(x120,5)=x119;}
       if(x_x1){
	RSOME(x1,r);
       }else{
	FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x93;FLD1(r,2)=x94;FLD1(r,3)=x95;FLD1(r,5)=x97;}
       FLD1(r,4)=_ANatMap_4(x102,x120,x96);}}}}}}
 return r;}

extern OBJ _AAcFun_13(OBJ x1) /* newIde */
{OBJ r;
 {OBJ x6=FLD1(x1,5);
  if(EXPRD(x1,1)){
   FLD1(x1,5)=NIL;DSPRD(x1);
  }else{
   CPPRD(x6,1);
   FRPRD(x1,1);}
  {OBJ x7;
   x7=x6;
   PRDF(2,0,r);FLD(r,2)=__AIde_17;
   FLD(r,1)=_ANatMap_20(x7);}}
 return r;}

extern OBJ _AAcFun_14(OBJ x1,OBJ x2) /* decs */
{OBJ r;
 {OBJ x7=FLD1(x2,5);
  if(EXPRD(x2,1)){
   FLD1(x2,5)=NIL;DSPRD(x2);
  }else{
   CPPRD(x7,1);
   FRPRD(x2,1);}
  CPCLS(__AAcFun_32,1);
  {OBJ x8;OBJ x9;
   x8=x7;
   x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_32,1))(__AAcFun_32,x1);
   r=_ANatMapReduce_3(x9,__ASeq_6,x8);}}
 return r;}

extern OBJ _AAcFun_15(OBJ x1,OBJ x2) /* importedDecs */
{OBJ r;
 {OBJ x6=FLD1(x2,4);
  if(EXPRD(x2,1)){
   FLD1(x2,4)=NIL;DSPRD(x2);
  }else{
   CPPRD(x6,1);
   FRPRD(x2,1);}
  CPCLS(__AAcFun_34,1);
  {OBJ x8;OBJ x9;
   x8=x6;
   x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_34,1))(__AAcFun_34,x1);
   r=_ANatMapReduce_3(x9,__ASeq_6,x8);}}
 return r;}

extern OBJ _AAcFun_16(OBJ x1,OBJ x2) /* symbol */
{OBJ r;
 {OBJ x3;
  ANat_76(x2,__AIde_17,x3);
  if(ISTGPRM(x3,1)){
   {OBJ x16=FLD1(x1,2);
    if(EXPRD(x1,1)){
     r=x16;
     FLD1(x1,2)=NIL;DSPRD(x1);
    }else{
     CPPRD(x16,1);
     r=x16;
     FRPRD(x1,1);}}
  }else{
   {OBJ x41=FLD1(x1,4);
    if(EXPRD(x1,1)){
     FLD1(x1,4)=NIL;DSPRD(x1);
    }else{
     CPPRD(x41,1);
     FRPRD(x1,1);}
    {OBJ x43;
     x43=_ANatMap_14(x41,x2);
     {OBJ x45=FLD1(x43,2);
      if(EXPRD(x43,1)){
       r=x45;
       FLD1(x43,2)=NIL;DSPRD(x43);
      }else{
       CPPRD(x45,1);
       r=x45;
       FRPRD(x43,1);}}}}}}
 return r;}

extern OBJ _AAcFun_17(OBJ x1,OBJ x2) /* an */
{OBJ r;
 {OBJ x3;
  ANat_76(x2,__AIde_17,x3);
  if(ISTGPRM(x3,1)){
   {OBJ x15=FLD1(x1,1);
    if(EXPRD(x1,1)){
     r=x15;
     FLD1(x1,1)=NIL;DSPRD(x1);
    }else{
     COPY(x15,1);
     r=x15;
     FRPRD(x1,1);}}
  }else{
   {OBJ x41=FLD1(x1,4);
    if(EXPRD(x1,1)){
     FLD1(x1,4)=NIL;DSPRD(x1);
    }else{
     CPPRD(x41,1);
     FRPRD(x1,1);}
    {OBJ x43;
     x43=_ANatMap_14(x41,x2);
     {OBJ x44=FLD1(x43,1);
      if(EXPRD(x43,1)){
       r=x44;
       FLD1(x43,1)=NIL;DSPRD(x43);
      }else{
       COPY(x44,1);
       r=x44;
       FRPRD(x43,1);}}}}}}
 return r;}

extern OBJ _AAcFun_18(OBJ x1,OBJ x2,OBJ x3) /* updateAn */
{OBJ r;
 {OBJ x4;
  ANat_76(x2,__AIde_17,x4);
  {OBJ x78=FLD1(x1,1);OBJ x79=FLD1(x1,2);OBJ x80=FLD1(x1,3);OBJ x81=FLD1(x1,4);OBJ x82=FLD1(x1,5);FLAG x_x1=EXPRD(x1,1);
   if(x_x1){
   }else{
    COPY(x78,1);CPPRD(x79,1);CPPRD(x81,1);CPPRD(x82,1);}
   if(ISTGPRM(x4,1)){
    {OBJ x83;
     x83=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x78);
     if(x_x1){
      RSOME(x1,r);FLD1(r,1)=x83;
     }else{
      FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x83;FLD1(r,2)=x79;FLD1(r,3)=x80;FLD1(r,4)=x81;FLD1(r,5)=x82;}}
   }else{
    CPPRD(x81,1);
    {OBJ x84;
     x84=_ANatMap_14(x81,x2);
     {OBJ x85=FLD1(x84,1);OBJ x86;OBJ x87;OBJ x88;OBJ x89;FLAG x_x84=EXPRD(x84,1);
      if(x_x84){
      }else{
       x86=FLD1(x84,2);x87=FLD1(x84,3);x88=FLD1(x84,4);x89=FLD1(x84,5);COPY(x85,1);CPPRD(x86,1);CPPRD(x88,1);CPPRD(x89,1);}
      {OBJ x90;OBJ x91;
       x90=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x85);
       if(x_x84){
	RSOME(x84,x91);FLD1(x91,1)=x90;
       }else{
	FRPRD(x84,1);PRD1(5,x91);FLD1(x91,1)=x90;FLD1(x91,2)=x86;FLD1(x91,3)=x87;FLD1(x91,4)=x88;FLD1(x91,5)=x89;}
       if(x_x1){
	RSOME(x1,r);
       }else{
	FRPRD(x1,1);PRD1(5,r);FLD1(r,1)=x78;FLD1(r,2)=x79;FLD1(r,3)=x80;FLD1(r,5)=x82;}
       FLD1(r,4)=_ANatMap_4(x2,x91,x81);}}}}}}
 return r;}

extern OBJ _AAcFun_19(OBJ x1,OBJ x2,OBJ x3) /* format */
{OBJ r;
 switch(TGPRD(x3)){
  case 5:
   {OBJ x354=FLD(x3,2);OBJ x355=FLD(x3,3);
    COPY(x354,1);CPPRD(x355,1);
    CPCLS(x1,1);
    CPCLS(x2,2);
    CPCLS(__AAcFun_21,1);
    CPCLS(__AAcFun_48,1);
    CPCLS(__AAcFun_50,1);
    CPCLS(__AAcFun_52,1);
    CPCLS(__AAcFun_54,1);
    COPY(__AAcFun_55,1);
    COPY(__AFormat_9,3);
    {OBJ x356;OBJ x357;OBJ x358;OBJ x359;OBJ x360;OBJ x361;OBJ x363;OBJ x364;OBJ x362;OBJ x365;
     x356=_AAc_50(x3);
     x357=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_48,1))(__AAcFun_48,__ABUILTIN_20);
     x358=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_50,1))(__AAcFun_50,__ABUILTIN_20);
     x359=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_52,1))(__AAcFun_52,__ABUILTIN_20);
     x360=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_21,2))(__AAcFun_21,x1,x2);
     x361=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_54,1))(__AAcFun_54,__ABUILTIN_20);
     x363=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x356);
     x364=_AFormatFun1_2(x358,__AFormat_9,x359,x360,x354);
     x362=_AAcFun_19(x1,x2,x355);
     x365=_ASeq_20(x357,x364,__AFormat_9,x361,x363,__AFormat_9,x362,__AAcFun_55);
     r=_AFormat_5(__ANat_5,x365);}}break;
  case 6:
   {OBJ x367=FLD(x3,2);OBJ x368=FLD(x3,3);OBJ x369=FLD(x3,4);
    CPPRD(x367,1);COPY(x368,1);CPPRD(x369,1);
    CPCLS(x1,2);
    CPCLS(x2,3);
    CPCLS(__AAcFun_20,1);
    CPCLS(__AAcFun_50,1);
    CPCLS(__AAcFun_52,1);
    COPY(__AAcFun_55,1);
    CPCLS(__AAcFun_57,1);
    CPCLS(__AAcFun_59,1);
    CPCLS(__AAcFun_61,1);
    COPY(__AFormat_9,4);
    {OBJ x370;OBJ x371;OBJ x372;OBJ x373;OBJ x374;OBJ x375;OBJ x376;OBJ x377;OBJ x379;OBJ x380;OBJ x378;OBJ x381;OBJ x382;OBJ x383;
     x370=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_61,1))(__AAcFun_61,__ABUILTIN_20);
     x371=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_20,2))(__AAcFun_20,x1,x2);
     x372=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_59,1))(__AAcFun_59,__ABUILTIN_20);
     x373=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_57,1))(__AAcFun_57,__ABUILTIN_20);
     x374=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_52,1))(__AAcFun_52,__ABUILTIN_20);
     x375=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_50,1))(__AAcFun_50,__ABUILTIN_20);
     COPY(x375,1);
     x376=_AAc_50(x3);
     x377=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x376);
     x379=_AFormatFun1_2(x375,__AFormat_9,x374,x371,x368);
     x380=_AAcFun_19(x1,x2,x369);
     x378=_AAcFun_19(x1,x2,x367);
     x381=_ASeq_18(x373,x378,x372,x377,__AFormat_9,x379);
     x382=_ASeq_18(__AFormat_9,x370,__AFormat_9,x375,x380,__AAcFun_55);
     x383=_ASeq_26(x381,x382);
     r=_AFormat_5(__ANat_5,x383);}}break;
  case 4:
   {OBJ x385=FLD(x3,2);OBJ x386=FLD(x3,3);
    COPY(x385,1);CPPRD(x386,1);
    CPCLS(x1,1);
    CPCLS(x2,2);
    CPCLS(__AAcFun_21,1);
    CPCLS(__AAcFun_44,1);
    CPCLS(__AAcFun_63,1);
    CPCLS(__AAcFun_65,1);
    COPY(__AFormat_9,1);
    {OBJ x387;OBJ x388;OBJ x389;OBJ x390;OBJ x391;OBJ x392;OBJ x394;OBJ x393;OBJ x395;
     x387=_AAc_50(x3);
     x388=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_44,1))(__AAcFun_44,__ABUILTIN_20);
     x389=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_21,2))(__AAcFun_21,x1,x2);
     x390=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_63,1))(__AAcFun_63,__ABUILTIN_20);
     x391=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_65,1))(__AAcFun_65,__ABUILTIN_20);
     x392=_AFormatFun1_2(x390,x388,x391,x389,x385);
     x394=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x387);
     x393=_AAcFun_19(x1,x2,x386);
     x395=_ASeq_16(x392,x394,__AFormat_9,x393);
     r=_AFormat_5(__ANat_9,x395);}}break;
  case 1:
   {OBJ x397=FLD(x3,2);
    CPPRD(x397,1);
    FRCLS(x1,1);
    COPY(__AAcFun_55,1);
    CPCLS(__AAcFun_67,1);
    {OBJ x398;OBJ x399;OBJ x400;OBJ x401;OBJ x402;
     x398=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_67,1))(__AAcFun_67,__ABUILTIN_20);
     COPY(x398,1);
     x399=_AAc_50(x3);
     x400=_AFmt_28(x397);
     x401=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x399);
     x402=_ASeq_17(x398,x400,x398,__AAcFun_55,x401);
     r=_AFormat_5(__ANat_9,x402);}}break;
  case 2:
   {OBJ x404=FLD(x3,2);
    CPPRD(x404,1);
    COPY(__AAcFun_55,1);
    {OBJ x405;OBJ x406;OBJ x407;OBJ x408;
     x405=_AAc_50(x3);
     x406=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x405);
     x407=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x404);
     x408=_ASeq_15(x407,__AAcFun_55,x406);
     r=_AFormat_5(__ANat_9,x408);}}break;
  case 0:
   FRCLS(x1,1);
   COPY(__AAcFun_55,1);
   CPCLS(__AAcFun_69,1);
   {OBJ x410;OBJ x411;OBJ x412;OBJ x413;
    x410=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_69,1))(__AAcFun_69,__ABUILTIN_20);
    x411=_AAc_50(x3);
    x412=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x411);
    x413=_ASeq_15(x410,__AAcFun_55,x412);
    r=_AFormat_5(__ANat_9,x413);}break;
  default: 
   {OBJ x344=FLD(x3,2);OBJ x345=FLD(x3,3);
    if(EXPRD(x3,1)){
     FREE(FLD(x3,1),1);DSPRDF(x3);
    }else{
     CPPRD(x344,1);COPY(x345,1);
     FRPRD(x3,1);}
    CPCLS(x1,1);
    CPCLS(x2,1);
    CPCLS(__AAcFun_19,1);
    CPCLS(__AAcFun_42,1);
    CPCLS(__AAcFun_44,1);
    CPCLS(__AAcFun_46,1);
    {OBJ x347;OBJ x348;OBJ x349;OBJ x346;OBJ x351;OBJ x350;OBJ x352;
     x347=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_46,1))(__AAcFun_46,__ABUILTIN_20);
     x348=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_44,1))(__AAcFun_44,__ABUILTIN_20);
     x349=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_42,1))(__AAcFun_42,__ABUILTIN_20);
     x346=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_19,2))(__AAcFun_19,x1,x2);
     x351=_AFormatFun1_2(x349,x348,x347,x346,x345);
     x350=_AAcFun_19(x1,x2,x344);
     x352=_ASeq_14(x350,x351);
     r=_AFormat_5(__ANat_9,x352);}}}
 return r;}

extern OBJ _AAcFun_20(OBJ x1,OBJ x2,OBJ x3) /* format,1 */
{OBJ r;
 CPCLS(__AAcFun_21,1);
 CPCLS(__AAcFun_78,1);
 CPCLS(__AAcFun_79,1);
 CPCLS(__AAcFun_80,1);
 CPCLS(__AAcFun_82,1);
 CPCLS(x1,1);
 CPCLS(x2,1);
 {OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;
  x16=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_78,1))(__AAcFun_78,__ABUILTIN_20);
  x17=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_79,1))(__AAcFun_79,__ABUILTIN_20);
  x18=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_80,1))(__AAcFun_80,__ABUILTIN_20);
  x19=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_21,2))(__AAcFun_21,x1,x2);
  x20=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_82,1))(__AAcFun_82,__ABUILTIN_20);
  {OBJ x25=FLD1(x3,1);OBJ x26=FLD1(x3,2);OBJ x27=FLD1(x3,3);
   if(EXPRD(x3,1)){
    DSPRDF(x3);
   }else{
    CPPRD(x25,1);COPY(x26,1);CPPRD(x27,1);
    FRPRD(x3,1);}
   CPCLS(x1,1);
   COPY(__AFormat_9,1);
   {OBJ x28;OBJ x29;OBJ x30;OBJ x31;
    x28=_AAcFun_19(x1,x2,x27);
    x29=_AFormatFun1_2(x16,x17,x18,x19,x26);
    x30=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x25);
    x31=_ASeq_17(x30,x29,x20,__AFormat_9,x28);
    r=_AFormat_5(__ANat_9,x31);}}}
 return r;}

extern OBJ _AAcFun_21(OBJ x1,OBJ x2,OBJ x3) /* format,2 */
{OBJ r;
 switch(TGPRD(x3)){
  case 2:
   {OBJ x152=FLD(x3,4);
    CPPRD(x152,1);
    CPCLS(x1,1);
    CPCLS(x2,1);
    CPPRD(x3,2);
    COPY(__AAcFun_70,1);
    COPY(__AAcFun_71,1);
    CPCLS(__AAcFun_75,1);
    COPY(__AFormat_9,1);
    {OBJ x153;OBJ x154;OBJ x155;OBJ x156;OBJ x157;OBJ x158;OBJ x159;OBJ x160;OBJ x161;OBJ x162;OBJ x163;
     x153=_AAc_22(x3);
     x154=_AAc_21(x3);
     x155=_AAc_20(x3);
     x156=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_75,1))(__AAcFun_75,__ABUILTIN_20);
     x157=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x154);
     x158=_AAcFun_26(x155);
     x159=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x153);
     x160=_AAcFun_19(x1,x2,x152);
     x161=_ASeq_18(x157,x158,__AAcFun_70,x159,__AAcFun_71,x156);
     x162=_ASeq_14(__AFormat_9,x160);
     x163=_ASeq_26(x161,x162);
     r=_AFormat_5(__ANat_9,x163);}}break;
  case 3:
   {OBJ x167=FLD(x3,4);
    CPPRD(x3,2);
    COPY(__AAcFun_70,2);
    CPCLS(__AAcFun_75,1);
    CPCLS(__AAcFun_77,1);
    {OBJ x168;OBJ x169;OBJ x170;OBJ x171;OBJ x172;OBJ x173;OBJ x174;OBJ x175;OBJ x176;OBJ x177;OBJ x178;
     x168=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_77,1))(__AAcFun_77,__ABUILTIN_20);
     x169=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_75,1))(__AAcFun_75,__ABUILTIN_20);
     x170=_AAc_20(x3);
     x171=_AAc_21(x3);
     x172=_AAc_22(x3);
     ANatConv_1(x167,x173);
     x174=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x172);
     x175=_AAcFun_26(x170);
     x176=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x171);
     x177=_AFmt_28(x173);
     x178=_ASeq_20(x176,x175,__AAcFun_70,x174,x169,__AAcFun_70,x168,x177);
     r=_AFormat_5(__ANat_9,x178);}}break;
  case 0:
   CPPRD(x3,1);
   COPY(__AAcFun_70,1);
   {OBJ x181;OBJ x182;OBJ x183;OBJ x184;OBJ x185;
    x181=_AAc_22(x3);
    x182=_AAc_21(x3);
    x183=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x182);
    x184=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x181);
    x185=_ASeq_15(x183,__AAcFun_70,x184);
    r=_AFormat_5(__ANat_9,x185);}break;
  default: 
   CPPRD(x3,2);
   COPY(__AAcFun_70,1);
   COPY(__AAcFun_71,1);
   CPCLS(__AAcFun_73,1);
   {OBJ x141;OBJ x142;OBJ x143;OBJ x144;OBJ x145;OBJ x146;OBJ x147;OBJ x148;
    x141=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_73,1))(__AAcFun_73,__ABUILTIN_20);
    x142=_AAc_20(x3);
    x143=_AAc_21(x3);
    x144=_AAc_22(x3);
    x145=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x144);
    x146=_AAcFun_26(x142);
    x147=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x143);
    x148=_ASeq_18(x147,x146,__AAcFun_70,x145,__AAcFun_71,x141);
    r=_AFormat_5(__ANat_9,x148);}}
 return r;}

extern OBJ _AAcFun_22(OBJ x1,OBJ x2,OBJ x3) /* format,3 */
{OBJ r;
 CPCLS(__AAcFun_21,1);
 CPCLS(__AAcFun_22,1);
 CPCLS(__AAcFun_84,1);
 CPCLS(__AAcFun_86,1);
 CPCLS(__AAcFun_88,1);
 CPCLS(__AAcFun_90,1);
 CPCLS(__AAcFun_92,1);
 CPCLS(__AAcFun_94,1);
 CPCLS(x1,1);
 CPCLS(x2,2);
 {OBJ x34;OBJ x35;OBJ x36;OBJ x37;OBJ x38;OBJ x40;OBJ x41;OBJ x39;
  x34=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_84,1))(__AAcFun_84,__ABUILTIN_20);
  x35=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_86,1))(__AAcFun_86,__ABUILTIN_20);
  x36=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_88,1))(__AAcFun_88,__ABUILTIN_20);
  x37=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_90,1))(__AAcFun_90,__ABUILTIN_20);
  x38=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_92,1))(__AAcFun_92,__ABUILTIN_20);
  x40=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_94,1))(__AAcFun_94,__ABUILTIN_20);
  x41=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_21,2))(__AAcFun_21,x1,x2);
  x39=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAcFun_22,2))(__AAcFun_22,x1,x2);
  {OBJ x56=FLD1(x3,1);OBJ x57=FLD1(x3,2);OBJ x58=FLD1(x3,3);OBJ x59=FLD1(x3,4);OBJ x60=FLD1(x3,5);
   if(EXPRD(x3,1)){
    DSPRDF(x3);
   }else{
    COPY(x56,1);CPPRD(x57,1);CPPRD(x59,1);CPPRD(x60,1);
    FRPRD(x3,1);}
   COPY(x37,1);
   COPY(x38,1);
   COPY(__AFormat_9,7);
   {OBJ x61;OBJ x62;OBJ x63;OBJ x64;OBJ x65;OBJ x66;OBJ x67;OBJ x68;OBJ x69;OBJ x70;OBJ x71;OBJ x72;OBJ x73;OBJ x74;
    x61=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x56);
    x62=_AIde_19(x58);
    x63=_AFmt_28(x57);
    x64=_ANatMap_19(x59);
    x65=_ANatMap_19(x60);
    x66=_AFormatFun1_2(x37,__AFormat_9,x38,x41,x65);
    x67=_AFormatFun1_2(x37,__AFormat_9,x38,x39,x64);
    x68=_ASeq_16(x34,x63,x35,x62);
    x69=_ASeq_15(x40,__AFormat_9,x66);
    x70=_ASeq_15(x36,__AFormat_9,x67);
    x71=_AFormat_5(__ANat_5,x69);
    x72=_AFormat_5(__ANat_9,x70);
    x73=_ASeq_18(__AFormat_9,x72,__AFormat_9,x71,__AFormat_9,x61);
    x74=_ASeq_26(x68,x73);
    r=_AFormat_5(__ANat_5,x74);}}}
 return r;}

extern OBJ _AAcFun_23(OBJ x1,OBJ x2) /* format,4 */
{OBJ r;
 if(ISTGPRD(x2,0)){
  {OBJ x95=FLD(x2,1);OBJ x96=FLD(x2,2);
   {OBJ x97;OBJ x98;OBJ x120;OBJ x126;
    x97=_AIde_18(x2);
    ANat_76(x96,__AIde_17,x98);
    if(ISTGPRM(x98,1)){
     {OBJ x103=FLD1(x1,5);
      if(EXPRD(x1,1)){
       CPPRD(x103,1);
       FLD1(x1,5)=NIL;DSPRD(x1);
      }else{
       CPPRD(x103,2);
       FRPRD(x1,1);}
      {OBJ x104;
       x104=_ANatMap_17(x95,x103);
       if(ISTGPRM(x104,1)){
	{OBJ x105;
	 x105=_ANatMap_14(x103,x95);
	 x120=_AAc_22(x105);}
       }else{
	FRPRD(x103,1);
	x120=__AAn_2;}}}
    }else{
     {OBJ x109=FLD1(x1,4);
      if(EXPRD(x1,1)){
       CPPRD(x109,1);
       FLD1(x1,4)=NIL;DSPRD(x1);
      }else{
       CPPRD(x109,2);
       FRPRD(x1,1);}
      {OBJ x111;
       x111=_ANatMap_17(x96,x109);
       if(ISTGPRM(x111,1)){
	{OBJ x112;
	 x112=_ANatMap_14(x109,x96);
	 {OBJ x117=FLD1(x112,5);
	  if(EXPRD(x112,1)){
	   CPPRD(x117,1);
	   FLD1(x112,5)=NIL;DSPRD(x112);
	  }else{
	   CPPRD(x117,2);
	   FRPRD(x112,1);}
	  {OBJ x118;
	   x118=_ANatMap_17(x95,x117);
	   if(ISTGPRM(x118,1)){
	    {OBJ x119;
	     x119=_ANatMap_14(x117,x95);
	     x120=_AAc_22(x119);}
	   }else{
	    FRPRD(x117,1);
	    x120=__AAn_2;}}}}
       }else{
	FRPRD(x109,1);
	x120=__AAn_2;}}}}
    if(ISPRM(x120)){
     x126=__ASourceAn_28;
    }else{
     {OBJ x122=FLD1(x120,2);
      if(EXPRD(x120,1)){
       x126=x122;
       FLD1(x120,2)=NIL;DSPRD(x120);
      }else{
       COPY(x122,1);
       x126=x122;
       FRPRD(x120,1);}}}
    if(ISPRD(x126)&&(ISTGPRD(x126,3))){
     {OBJ x127=FLD(x126,1);
      if(EXPRD(x126,1)){
       DSPRDF(x126);
      }else{
       CPPRD(x127,1);
       FRPRD(x126,1);}
      {OBJ x128;OBJ x129;
       x128=_AFmt_28(x127);
       x129=_ASeq_14(x128,x97);
       r=_AFormat_5(__ANat_5,x129);}}
    }else{
     r=x97;
     FREE(x126,1);}}}
 }else{
  FRPRD(x1,1);
  r=_AIde_18(x2);}
 return r;}

extern OBJ _AAcFun_24(OBJ x1,OBJ x2) /* eqDec */
{OBJ r;
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x3;OBJ x4;OBJ x5;
  x3=_AAc_21(x1);
  x4=_AAc_21(x2);
  x5=_AIde_13(x3,x4);
  if(ISTGPRM(x5,1)){
   switch(TGPRD(x1)){
    case 0:
     if(EXPRD(x1,1)){
      DSPRD(x1);
     }else{
      DCPRD(x1,1);}
     if(ISTGPRD(x2,0)){
      if(EXPRD(x2,1)){
       DSPRD(x2);
      }else{
       DCPRD(x2,1);}
      r=__ABUILTIN_5;
     }else{
      FRPRD(x2,1);
      r=__ABUILTIN_3;}break;
    case 1:
     if(EXPRD(x1,1)){
      DSPRD(x1);
     }else{
      DCPRD(x1,1);}
     if(ISTGPRD(x2,1)){
      if(EXPRD(x2,1)){
       DSPRD(x2);
      }else{
       DCPRD(x2,1);}
      r=__ABUILTIN_5;
     }else{
      FRPRD(x2,1);
      r=__ABUILTIN_3;}break;
    case 3:
     if(EXPRD(x1,1)){
      DSPRD(x1);
     }else{
      DCPRD(x1,1);}
     if(ISTGPRD(x2,3)){
      if(EXPRD(x2,1)){
       DSPRD(x2);
      }else{
       DCPRD(x2,1);}
      r=__ABUILTIN_5;
     }else{
      FRPRD(x2,1);
      r=__ABUILTIN_3;}break;
    default: 
     {OBJ x111=FLD(x1,4);
      if(EXPRD(x1,1)){
       FLD(x1,4)=NIL;DSPRD(x1);
      }else{
       CPPRD(x111,1);
       FRPRD(x1,1);}
      if(ISTGPRD(x2,2)){
       {OBJ x115=FLD(x2,4);
	if(EXPRD(x2,1)){
	 FLD(x2,4)=NIL;DSPRD(x2);
	}else{
	 CPPRD(x115,1);
	 FRPRD(x2,1);}
	r=_AAcFun_1(x111,x115);}
      }else{
       FRPRD(x2,1);
       FRPRD(x111,1);
       r=__ABUILTIN_3;}}}
  }else{
   FRPRD(x1,1);
   FRPRD(x2,1);
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AAcFun_25(OBJ x1,OBJ x2) /* eqMatch */
{OBJ r;
 {OBJ x29=FLD1(x1,1);OBJ x30=FLD1(x1,2);OBJ x31=FLD1(x1,3);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   CPPRD(x29,1);COPY(x30,1);CPPRD(x31,1);
   FRPRD(x1,1);}
  {OBJ x46=FLD1(x2,1);OBJ x47=FLD1(x2,2);OBJ x48=FLD1(x2,3);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    CPPRD(x46,1);COPY(x47,1);CPPRD(x48,1);
    FRPRD(x2,1);}
   {OBJ x49;
    x49=_AIde_13(x29,x46);
    if(ISTGPRM(x49,1)){
     CPCLS(__AAcFun_24,1);
     {OBJ x50;
      x50=_ASeqCompare_3(__AAcFun_24,x30,x47);
      if(ISTGPRM(x50,1)){
       r=_AAcFun_1(x31,x48);
      }else{
       FRPRD(x31,1);
       FRPRD(x48,1);
       r=__ABUILTIN_3;}}
    }else{
     FREE(x30,1);
     FRPRD(x31,1);
     FREE(x47,1);
     FRPRD(x48,1);
     r=__ABUILTIN_3;}}}}
 return r;}

extern OBJ _AAcFun_26(OBJ x1) /* format,5 */
{OBJ r;
 switch(TGPRM(x1)){
  case 2:
   CPCLS(__AAcFun_38,1);
   r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_38,1))(__AAcFun_38,__ABUILTIN_20);break;
  case 0:
   CPCLS(__AAcFun_40,1);
   r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_40,1))(__AAcFun_40,__ABUILTIN_20);break;
  default: 
   CPCLS(__AAcFun_36,1);
   r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_36,1))(__AAcFun_36,__ABUILTIN_20);}
 return r;}

extern OBJ _AAcFun_27(OBJ x1) /* flat?'27 */
{OBJ r;
 CPCLS(__AAcFun_2,1);
 CPCLS(__ABUILTIN_7,1);
 CPCLS(__ACompose_4,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ABUILTIN_7,__AAcFun_2);
 return r;}

extern OBJ _AAcFun_28(OBJ x1) /* sequential?'28 */
{OBJ r;
 CPCLS(__AAcFun_4,1);
 CPCLS(__AAc_41,1);
 CPCLS(__ACompose_4,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__AAcFun_4,__AAc_41);
 return r;}

extern OBJ _AAcFun_29(OBJ x1) /* sequential?'29 */
{OBJ r;
 CPCLS(__AAcFun_28,1);
 CPCLS(__ABUILTIN_7,1);
 CPCLS(__ACompose_4,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_28,1))(__AAcFun_28,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ABUILTIN_7,x2);}
 return r;}

extern OBJ _AAcFun_30(OBJ x1) /* sequential?'30 */
{OBJ r;
 CPCLS(__AAcFun_4,1);
 CPCLS(__AAc_25,1);
 CPCLS(__ACompose_4,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__AAcFun_4,__AAc_25);
 return r;}

extern OBJ _AAcFun_31(OBJ x1) /* sequential?'31 */
{OBJ r;
 CPCLS(__AAcFun_30,1);
 CPCLS(__ABUILTIN_7,1);
 CPCLS(__ACompose_4,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_30,1))(__AAcFun_30,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ABUILTIN_7,x2);}
 return r;}

extern OBJ _AAcFun_32(OBJ x1,OBJ x2,OBJ x3) /* decs'32 */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x2);
  if(ISTGPRM(x4,1)){
   PRD1(2,r);FLD1(r,1)=x2;FLD1(r,2)=x3;
  }else{
   FRPRD(x2,1);
   r=x3;}}
 return r;}

extern OBJ _AAcFun_33(OBJ x1,OBJ x2,OBJ x3) /* importedDecs'33 */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x2);
  if(ISTGPRM(x4,1)){
   PRD1(2,r);FLD1(r,1)=x2;FLD1(r,2)=x3;
  }else{
   FRPRD(x2,1);
   r=x3;}}
 return r;}

extern OBJ _AAcFun_34(OBJ x1,OBJ x2,OBJ x3) /* importedDecs'34 */
{OBJ r;
 {OBJ x8=FLD1(x2,5);
  if(EXPRD(x2,1)){
   FLD1(x2,5)=NIL;DSPRD(x2);
  }else{
   CPPRD(x8,1);
   FRPRD(x2,1);}
  CPCLS(__AAcFun_33,1);
  {OBJ x9;OBJ x10;
   x9=x8;
   x10=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAcFun_33,1))(__AAcFun_33,x1);
   r=_ANatMapReduce_3(x10,x3,x9);}}
 return r;}

extern OBJ _AAcFun_36(OBJ x1) /* format,5'36 */
{OBJ r;
 CPPRD(__AAcFun_35,1);
 r=_AFmt_28(__AAcFun_35);
 return r;}

extern OBJ _AAcFun_38(OBJ x1) /* format,5'38 */
{OBJ r;
 CPPRD(__AAcFun_37,1);
 r=_AFmt_28(__AAcFun_37);
 return r;}

extern OBJ _AAcFun_40(OBJ x1) /* format,5'40 */
{OBJ r;
 CPPRD(__AAcFun_39,1);
 r=_AFmt_28(__AAcFun_39);
 return r;}

extern OBJ _AAcFun_42(OBJ x1) /* format'42 */
{OBJ r;
 CPPRD(__AAcFun_41,1);
 r=_AFmt_28(__AAcFun_41);
 return r;}

extern OBJ _AAcFun_44(OBJ x1) /* format'44 */
{OBJ r;
 CPPRD(__AAcFun_43,1);
 r=_AFmt_28(__AAcFun_43);
 return r;}

extern OBJ _AAcFun_46(OBJ x1) /* format'46 */
{OBJ r;
 CPPRD(__AAcFun_45,1);
 r=_AFmt_28(__AAcFun_45);
 return r;}

extern OBJ _AAcFun_48(OBJ x1) /* format'48 */
{OBJ r;
 CPPRD(__AAcFun_47,1);
 r=_AFmt_28(__AAcFun_47);
 return r;}

extern OBJ _AAcFun_50(OBJ x1) /* format'50 */
{OBJ r;
 CPPRD(__AAcFun_49,1);
 r=_AFmt_28(__AAcFun_49);
 return r;}

extern OBJ _AAcFun_52(OBJ x1) /* format'52 */
{OBJ r;
 CPPRD(__AAcFun_51,1);
 r=_AFmt_28(__AAcFun_51);
 return r;}

extern OBJ _AAcFun_54(OBJ x1) /* format'54 */
{OBJ r;
 CPPRD(__AAcFun_53,1);
 r=_AFmt_28(__AAcFun_53);
 return r;}

extern OBJ _AAcFun_57(OBJ x1) /* format'57 */
{OBJ r;
 CPPRD(__AAcFun_56,1);
 r=_AFmt_28(__AAcFun_56);
 return r;}

extern OBJ _AAcFun_59(OBJ x1) /* format'59 */
{OBJ r;
 CPPRD(__AAcFun_58,1);
 r=_AFmt_28(__AAcFun_58);
 return r;}

extern OBJ _AAcFun_61(OBJ x1) /* format'61 */
{OBJ r;
 CPPRD(__AAcFun_60,1);
 r=_AFmt_28(__AAcFun_60);
 return r;}

extern OBJ _AAcFun_63(OBJ x1) /* format'63 */
{OBJ r;
 CPPRD(__AAcFun_62,1);
 r=_AFmt_28(__AAcFun_62);
 return r;}

extern OBJ _AAcFun_65(OBJ x1) /* format'65 */
{OBJ r;
 CPPRD(__AAcFun_64,1);
 r=_AFmt_28(__AAcFun_64);
 return r;}

extern OBJ _AAcFun_67(OBJ x1) /* format'67 */
{OBJ r;
 CPPRD(__AAcFun_66,1);
 r=_AFmt_28(__AAcFun_66);
 return r;}

extern OBJ _AAcFun_69(OBJ x1) /* format'69 */
{OBJ r;
 CPPRD(__AAcFun_68,1);
 r=_AFmt_28(__AAcFun_68);
 return r;}

extern OBJ _AAcFun_73(OBJ x1) /* format,2'73 */
{OBJ r;
 CPPRD(__AAcFun_72,1);
 r=_AFmt_28(__AAcFun_72);
 return r;}

extern OBJ _AAcFun_75(OBJ x1) /* format,2'75 */
{OBJ r;
 CPPRD(__AAcFun_74,1);
 r=_AFmt_28(__AAcFun_74);
 return r;}

extern OBJ _AAcFun_77(OBJ x1) /* format,2'77 */
{OBJ r;
 CPPRD(__AAcFun_76,1);
 r=_AFmt_28(__AAcFun_76);
 return r;}

extern OBJ _AAcFun_78(OBJ x1) /* format,1'78 */
{OBJ r;
 CPPRD(__AAcFun_41,1);
 r=_AFmt_28(__AAcFun_41);
 return r;}

extern OBJ _AAcFun_79(OBJ x1) /* format,1'79 */
{OBJ r;
 CPPRD(__AAcFun_43,1);
 r=_AFmt_28(__AAcFun_43);
 return r;}

extern OBJ _AAcFun_80(OBJ x1) /* format,1'80 */
{OBJ r;
 CPPRD(__AAcFun_45,1);
 r=_AFmt_28(__AAcFun_45);
 return r;}

extern OBJ _AAcFun_82(OBJ x1) /* format,1'82 */
{OBJ r;
 CPPRD(__AAcFun_81,1);
 r=_AFmt_28(__AAcFun_81);
 return r;}

extern OBJ _AAcFun_84(OBJ x1) /* format,3'84 */
{OBJ r;
 CPPRD(__AAcFun_83,1);
 r=_AFmt_28(__AAcFun_83);
 return r;}

extern OBJ _AAcFun_86(OBJ x1) /* format,3'86 */
{OBJ r;
 CPPRD(__AAcFun_85,1);
 r=_AFmt_28(__AAcFun_85);
 return r;}

extern OBJ _AAcFun_88(OBJ x1) /* format,3'88 */
{OBJ r;
 CPPRD(__AAcFun_87,1);
 r=_AFmt_28(__AAcFun_87);
 return r;}

extern OBJ _AAcFun_90(OBJ x1) /* format,3'90 */
{OBJ r;
 CPPRD(__AAcFun_89,1);
 r=_AFmt_28(__AAcFun_89);
 return r;}

extern OBJ _AAcFun_92(OBJ x1) /* format,3'92 */
{OBJ r;
 CPPRD(__AAcFun_91,1);
 r=_AFmt_28(__AAcFun_91);
 return r;}

extern OBJ _AAcFun_94(OBJ x1) /* format,3'94 */
{OBJ r;
 CPPRD(__AAcFun_93,1);
 r=_AFmt_28(__AAcFun_93);
 return r;}




static OBJ _mt_1_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  DCCLS(t,1);
  t3=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

init_AAcFun()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASeqMap();
 init_ASeqCompare();
 init_ACompose();
 init_ANatMapReduce();
 init_ASeq();
 init_AFormatFun1();
 init_AIde();
 init_ARelCmp();
 init_AFormat();
 init_AReal();
 init_ATypeAn();
 init_AMap();
 init_AAn();
 init_AArray();
 init_AAc();
 init_ASetByBST();
 init_APreparedOptions();
 init_ABSTree();
 init_ANat();
 init_ATree();
 init_AOcOptions();
 init_ABitset();
 init_AChar();
 init_ACom();
 init_AStream();
 init_AVoid();
 init_AString();
 init_AFile();
 init_AInt();
 init_AOption();
 init_ANatMap();
 init_ASourceAn();
 init_AOptimAn();
 init_ATransAn();
 init_APragmaAn();
 init_AStore();
 init_AFmt();
 init_ASet();
 init_APair();
 init_AIdeMap();
 init_ANatConv();
 init_ADenotation();
 LCLS(1,_AAcFun_63,__AAcFun_63);
 LCLS(1,_AAcFun_31,__AAcFun_31);
 LCLS(1,_AAcFun_94,__AAcFun_94);
 LCLS(1,_AAcFun_30,__AAcFun_30);
 DEN("\\",__AAcFun_62);
 DEN("declares ",__AAcFun_93);
 LCLS(1,_AAcFun_29,__AAcFun_29);
 LCLS(1,_AAcFun_61,__AAcFun_61);
 LCLS(1,_AAcFun_92,__AAcFun_92);
 LCLS(1,_AAcFun_28,__AAcFun_28);
 DEN("ELSE",__AAcFun_60);
 DEN("}",__AAcFun_91);
 LCLS(1,_AAcFun_27,__AAcFun_27);
 LCLS(1,_AAcFun_59,__AAcFun_59);
 LCLS(1,_AAcFun_90,__AAcFun_90);
 CLS(1,_AAcFun_26,__AAcFun_26);
 DEN(" OF",__AAcFun_58);
 DEN("{",__AAcFun_89);
 CLS(2,_AAcFun_25,__AAcFun_25);
 LCLS(1,_AAcFun_57,__AAcFun_57);
 LCLS(1,_AAcFun_88,__AAcFun_88);
 CLS(2,_AAcFun_24,__AAcFun_24);
 DEN("CASE ",__AAcFun_56);
 DEN("uses",__AAcFun_87);
 CLS(2,_AAcFun_23,__AAcFun_23);
 LCLS(1,_AAcFun_86,__AAcFun_86);
 CLS(3,_AAcFun_22,__AAcFun_22);
 LCLS(1,_AAcFun_54,__AAcFun_54);
 DEN(" origin ",__AAcFun_85);
 CLS(3,_AAcFun_21,__AAcFun_21);
 DEN("IN",__AAcFun_53);
 LCLS(1,_AAcFun_84,__AAcFun_84);
 CLS(3,_AAcFun_20,__AAcFun_20);
 LCLS(1,_AAcFun_52,__AAcFun_52);
 DEN("unit ",__AAcFun_83);
 CLS(3,_AAcFun_19,__AAcFun_19);
 DEN("",__AAcFun_51);
 LCLS(1,_AAcFun_82,__AAcFun_82);
 CLS(3,_AAcFun_18,__AAcFun_18);
 LCLS(1,_AAcFun_50,__AAcFun_50);
 DEN("=>",__AAcFun_81);
 CLS(2,_AAcFun_17,__AAcFun_17);
 DEN(" ",__AAcFun_49);
 LCLS(1,_AAcFun_80,__AAcFun_80);
 CLS(2,_AAcFun_16,__AAcFun_16);
 LCLS(1,_AAcFun_48,__AAcFun_48);
 LCLS(1,_AAcFun_79,__AAcFun_79);
 CLS(2,_AAcFun_15,__AAcFun_15);
 DEN("LET ",__AAcFun_47);
 LCLS(1,_AAcFun_78,__AAcFun_78);
 CLS(2,_AAcFun_14,__AAcFun_14);
 LCLS(1,_AAcFun_46,__AAcFun_46);
 LCLS(1,_AAcFun_77,__AAcFun_77);
 CLS(1,_AAcFun_13,__AAcFun_13);
 DEN(")",__AAcFun_45);
 DEN("cons order ",__AAcFun_76);
 CLS(3,_AAcFun_12,__AAcFun_12);
 LCLS(1,_AAcFun_44,__AAcFun_44);
 LCLS(1,_AAcFun_75,__AAcFun_75);
 CLS(3,_AAcFun_11,__AAcFun_11);
 DEN(",",__AAcFun_43);
 DEN("=",__AAcFun_74);
 CLS(2,_AAcFun_10,__AAcFun_10);
 LCLS(1,_AAcFun_42,__AAcFun_42);
 LCLS(1,_AAcFun_73,__AAcFun_73);
 CLS(2,_AAcFun_9,__AAcFun_9);
 DEN("(",__AAcFun_41);
 DEN("= hidden",__AAcFun_72);
 CLS(2,_AAcFun_8,__AAcFun_8);
 LCLS(1,_AAcFun_40,__AAcFun_40);
 CLS(1,_AAcFun_7,__AAcFun_7);
 DEN("E",__AAcFun_39);
 CLS(1,_AAcFun_6,__AAcFun_6);
 LCLS(1,_AAcFun_38,__AAcFun_38);
 LCLS(1,_AAcFun_69,__AAcFun_69);
 CLS(1,_AAcFun_5,__AAcFun_5);
 DEN("L",__AAcFun_37);
 DEN("ERROR",__AAcFun_68);
 CLS(1,_AAcFun_4,__AAcFun_4);
 LCLS(1,_AAcFun_36,__AAcFun_36);
 LCLS(1,_AAcFun_67,__AAcFun_67);
 CLS(1,_AAcFun_3,__AAcFun_3);
 DEN("I",__AAcFun_35);
 DEN("\"",__AAcFun_66);
 CLS(1,_AAcFun_2,__AAcFun_2);
 CLS(3,_AAcFun_34,__AAcFun_34);
 LCLS(1,_AAcFun_65,__AAcFun_65);
 CLS(2,_AAcFun_1,__AAcFun_1);
 CLS(3,_AAcFun_33,__AAcFun_33);
 DEN(".",__AAcFun_64);
 CLS(3,_AAcFun_32,__AAcFun_32);
 MTH(1,0,2,_mt_1_0_2);LZYMTH(1,0,2,_mt_1_0_2);
 PRDF(1,1,__AAcFun_55);FLD(__AAcFun_55,1)=__ANat_5;
 PRDF(1,1,__AAcFun_70);FLD(__AAcFun_70,1)=__ANat_5;
 PRDF(1,1,__AAcFun_71);FLD(__AAcFun_71,1)=__ANat_8;}

